Subject: Re: [PATCH] gnu: gdal: Update to 3.10.2 and fix rpaths.

From: Lars Bilke <[email-masked]>
Date: Fri, 07 Mar 2025 13:22:02 +0100

Hi Ricardo,

ah thanks for 3.8.2 patch! That's all I need (I also wanted python-geopandas), so this issue can be closed (I do not know how to do that).

Thanks!
Lars

On 6 Mar 2025, at 15:57, Ricardo Wurmus wrote:

> Sharlatan Hellseher <[email-masked]> writes:
>
>> It looks like Ricardo has pushed update alread in
>> f2229c2afdb32ddba46bce6f37aba812af39eec5 commit.
>
> Oh, I'm sorry I missed this.
>
> I only updated to 3.8.2 because I didn't want to risk breaking too many
> dependents.  My goal was to fix python-geopandas ASAP when I attempted
> to fix this at the same time as Lars sent the patch.
>
> The 'fix-rpath phase is unnecessary, because gdal's build system already
> takes care of building files with the correct RPATH --- they just don't
> get installed for unknown reasons.
>
> Lars, ff the dependents of gdal build fine after the upgrade to 3.10.2
> I'd be happy to push an edited version of this patch.
>
> -- 
> Ricardo